﻿using System.Windows;

namespace SmileViewer
{
  internal class PriceVM : DependencyObject
  {
    public double Fair
    {
      get { return (double)GetValue(FairProperty); }
      set { SetValue(FairProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Fair.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty FairProperty =
        DependencyProperty.Register("Fair", typeof(double), typeof(PriceVM), new UIPropertyMetadata(double.NaN));

    public double Strike
    {
      get { return (double)GetValue(StrikeProperty); }
      set { SetValue(StrikeProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Strike.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty StrikeProperty =
        DependencyProperty.Register("Strike", typeof(double), typeof(PriceVM), new UIPropertyMetadata(double.NaN));
  }
}