﻿using System.Windows;

namespace SmileViewer
{
  internal class SpreadVM : DependencyObject
  {
    static SpreadVM()
    {
      Empty = new SpreadVM();
    }

    public static SpreadVM Empty { get; private set; }

    public double Strike
    {
      get { return (double)GetValue(StrikeProperty); }
      set { SetValue(StrikeProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Strike.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty StrikeProperty =
        DependencyProperty.Register("Strike", typeof(double), typeof(SpreadVM), new UIPropertyMetadata(double.NaN));

    public double Bid
    {
      get { return (double)GetValue(BidProperty); }
      set { SetValue(BidProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Bid.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty BidProperty =
        DependencyProperty.Register("Bid", typeof(double), typeof(SpreadVM), new UIPropertyMetadata(double.NaN));

    public double Ask
    {
      get { return (double)GetValue(AskProperty); }
      set { SetValue(AskProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Ask.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty AskProperty =
        DependencyProperty.Register("Ask", typeof(double), typeof(SpreadVM), new UIPropertyMetadata(double.NaN));
  }
}